Skip to main content
PATCH
/
api
/
v1
/
github
/
repos
/
{id}
Update repository configuration
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/github/repos/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo_full_name": "<string>",
  "author_exclude": [
    "<string>"
  ],
  "author_include": [
    "<string>"
  ],
  "auto_review": true,
  "branch_exclude": [
    "<string>"
  ],
  "branch_include": [
    "<string>"
  ],
  "custom_instructions": "<string>",
  "deploy_wait_timeout": 1800,
  "exclude_patterns": [
    "<string>"
  ],
  "high_level_summary": true,
  "keyword_exclude": [
    "<string>"
  ],
  "keyword_include": [
    "<string>"
  ],
  "label_exclude": [
    "<string>"
  ],
  "label_include": [
    "<string>"
  ],
  "max_inline_comments": 50,
  "path_instructions": [
    {
      "instructions": "<string>",
      "path": "<string>"
    }
  ],
  "reset_fields": [],
  "streaming_enabled": true,
  "suggested_changes_enabled": true
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "exclude_patterns": [
    "*.md",
    "vendor/**"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repo_full_name": "octocat/hello-world",
  "updated_at": "2023-11-07T05:31:56Z",
  "auto_review_enabled": true,
  "custom_instructions": "<string>",
  "deploy_wait_timeout": 1800,
  "effective_config": {
    "author_exclude": {
      "value": [
        "<string>"
      ]
    },
    "author_include": {
      "value": [
        "<string>"
      ]
    },
    "auto_review_enabled": {
      "value": "<string>"
    },
    "branch_exclude": {
      "value": [
        "<string>"
      ]
    },
    "branch_include": {
      "value": [
        "<string>"
      ]
    },
    "custom_instructions": {
      "value": "<string>"
    },
    "deploy_wait_timeout": {
      "value": "<string>"
    },
    "draft_policy": {
      "value": "<string>"
    },
    "exclude_patterns": {
      "value": [
        "<string>"
      ]
    },
    "focus": {
      "value": "<string>"
    },
    "gating": {
      "value": "<string>"
    },
    "high_level_summary": {
      "value": "<string>"
    },
    "keyword_exclude": {
      "value": [
        "<string>"
      ]
    },
    "keyword_include": {
      "value": [
        "<string>"
      ]
    },
    "label_exclude": {
      "value": [
        "<string>"
      ]
    },
    "label_include": {
      "value": [
        "<string>"
      ]
    },
    "max_inline_comments": {
      "value": "<string>"
    },
    "output_format": {
      "value": "<string>"
    },
    "review_output_mode": {
      "value": "<string>"
    },
    "severity_threshold": {
      "value": "<string>"
    },
    "suggested_changes_enabled": {
      "value": "<string>"
    },
    "tone": {
      "value": "<string>"
    },
    "verbosity": {
      "value": "<string>"
    }
  },
  "high_level_summary": true,
  "max_inline_comments": 123,
  "path_instructions": [
    {
      "instructions": "<string>",
      "path": "<string>"
    }
  ],
  "streaming_enabled": true,
  "suggested_changes_enabled": true,
  "visibility": "<string>"
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Repository ID (UUID)

Body

application/json
repo_full_name
string
required

Full repository name (owner/repo)

author_exclude
string[]
author_include
string[]
auto_review
boolean

Turn automatic reviews on or off for this repository.

branch_exclude
string[]
branch_include
string[]
comment_mode
enum<string>
Available options:
summary_only,
inline_only,
summary+inline
custom_instructions
string
deploy_wait_timeout
integer

Seconds to hold a PR review for the preview deployment (0 disables the deploy-gated hold)

Required range: 0 <= x <= 3600
draft_policy
enum<string>
Available options:
skip,
summary_only,
review
exclude_patterns
string[]

File patterns to exclude from reviews

focus
enum<string>
Available options:
security,
performance,
style,
all
gating
enum<string>
Available options:
none,
block_on_critical,
block_on_high
high_level_summary
boolean
keyword_exclude
string[]
keyword_include
string[]
label_exclude
string[]
label_include
string[]
max_inline_comments
integer
Required range: 1 <= x <= 100
output_format
enum<string>
Available options:
compact,
table,
checklist
path_instructions
object[]
reset_fields
enum<string>[]

Settings to clear so this repository follows the organization defaults again. Do not also set a field you are clearing in the same request.

Available options:
auto_review,
tone,
verbosity,
severity_threshold,
focus,
custom_instructions,
comment_mode,
gating,
draft_policy,
output_format,
suggested_changes_enabled,
high_level_summary,
max_inline_comments,
deploy_wait_timeout,
exclude_patterns,
author_include,
author_exclude,
label_include,
label_exclude,
branch_include,
branch_exclude,
keyword_include,
keyword_exclude
severity_threshold
enum<string>
Available options:
critical,
high,
medium,
low,
info,
all
streaming_enabled
boolean
suggested_changes_enabled
boolean
tone
enum<string>
Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string>
Available options:
brief,
normal,
detailed

Response

Repository configuration updated

created_at
string<date-time>
required

When the repository was added

exclude_patterns
string[]
required

File patterns to exclude from reviews

Example:
["*.md", "vendor/**"]
id
string<uuid>
required

Repository configuration ID

installation_id
string<uuid>
required

Parent installation ID

repo_full_name
string
required

Full repository name (owner/repo)

Example:

"octocat/hello-world"

updated_at
string<date-time>
required

When the repository config was last updated

auto_review_enabled
boolean | null

This repository's own automatic-review setting. true turns reviews on, false turns them off, and null means follow the organization default. For the setting actually in effect, see effective_config.auto_review_enabled.

custom_instructions
string | null

This repository's own custom instructions; null means follow the organization default. See effective_config.custom_instructions.

deploy_wait_timeout
integer | null

This repository's own deploy-gated hold in seconds (0 disables it); null means follow the organization default. See effective_config.deploy_wait_timeout.

Required range: 0 <= x <= 3600
draft_policy
enum<string> | null

This repository's own draft-PR policy; null means follow the organization default. See effective_config.draft_policy.

Available options:
skip,
summary_only,
review
effective_config
object
focus
enum<string> | null

This repository's own focus setting; null means follow the organization default. See effective_config.focus.

Available options:
security,
performance,
style,
all
gating
enum<string> | null

This repository's own merge-gating setting; null means follow the organization default. See effective_config.gating.

Available options:
none,
block_on_critical,
block_on_high
high_level_summary
boolean | null

This repository's own high-level-summary setting; null means follow the organization default. See effective_config.high_level_summary.

max_inline_comments
integer | null

This repository's own inline-comment limit; null means follow the organization default. See effective_config.max_inline_comments.

output_format
enum<string> | null

This repository's own output format; null means follow the organization default. See effective_config.output_format.

Available options:
compact,
table,
checklist
path_instructions
object[]
review_output_mode
enum<string> | null

This repository's own review output mode; null means follow the organization default. See effective_config.review_output_mode.

Available options:
summary_only,
comments_only,
both
severity_threshold
enum<string> | null

This repository's own severity threshold; null means follow the organization default. See effective_config.severity_threshold.

Available options:
critical,
high,
medium,
low,
info,
all
streaming_enabled
boolean
suggested_changes_enabled
boolean | null

This repository's own suggested-changes setting; null means follow the organization default. See effective_config.suggested_changes_enabled.

tone
enum<string> | null

This repository's own tone setting; null means follow the organization default. See effective_config.tone for the value in effect.

Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string> | null

This repository's own verbosity setting; null means follow the organization default. See effective_config.verbosity.

Available options:
brief,
normal,
detailed
visibility
string

Repository visibility (public, private, or internal)